<?php 
    $wp_customize->add_section(
        'popular_area',
        array(
            'title' => __( 'Popular Products Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'popular_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'popular_area_disable',
            array(
                'settings'      => 'popular_area_disable',
                'section'       => 'popular_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'popularus', 'popular_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'populararea_padding', 'popular_area', 'Section Padding');

$wp_customize->add_setting(
    'popular_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popular_areaTpadding',
    array(
        'settings'      => 'popular_areaTpadding',
        'section'       => 'popular_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'popular_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5.3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popular_areaBpadding',
    array(
        'settings'      => 'popular_areaBpadding',
        'section'       => 'popular_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'feature_heading', 'popular_area', 'Section Heading');

$wp_customize->add_setting(
    'popular_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Popular Product', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popular_title',
    array(
        'settings'      => 'popular_title',
        'section'       => 'popular_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'popular_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Discover the Southern Flavors Within Our Wines', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popular_text',
    array(
        'settings'      => 'popular_text',
        'section'       => 'popular_area',
        'type'          => 'text',
        'label'         => __( 'Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'popular_area_headingClr', 'popular_area', 'Heading Color', '#010101');

addColorPalatOption($wp_customize, 'popular_area_txtClr', 'popular_area', 'Text Color', '#000');

lzCustomLable($wp_customize, 'populararea_clr', 'popular_area', 'Section Color');

addColorPalatOption($wp_customize, 'popular_area_disctxtClr', 'popular_area', 'Discount Text And Icon Color', '#000');

addColorPalatOption($wp_customize, 'popular_area_discbgClr', 'popular_area', 'Discount Text And Icon BG Color', '#DFDABA');

addColorPalatOption($wp_customize, 'popular_area_pagetitle', 'popular_area', 'Product Title Color', '#010101');

addColorPalatOption($wp_customize, 'popular_area_priceClr', 'popular_area', 'Product Price Color', '#000');

lzCustomLable($wp_customize, 'populararea_button', 'popular_area', 'Section Button');

$wp_customize->add_setting(
    'popbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'SHOP ONLINE NOW', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popbtn_text',
    array(
        'settings'      => 'popbtn_text',
        'section'       => 'popular_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'popular_btntxtclr', 'popular_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'popular_btntxthvrclr', 'popular_area', 'Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'popular_btnbgclr', 'popular_area', 'Button BG Color', '#000');

addColorPalatOption($wp_customize, 'popular_btnbghvrclr', 'popular_area', 'Button BG Hover Color', '#DDA759');